SNMPTABLE(1)

NAME
snmptable - obtain and print an SNMP table

SYNOPSIS
snmptable [common arguments] [options] tableID

DESCRIPTION
Snmptable is an SNMP application that uses the GETNEXT Request to query for information on a network entity. The tableID must specify an SNMP table.

snmptable has the following special options:

-Cf F
    F is a string used to separate table columns. With this option, each table entry will be printed in compact form, just with the string given to separate the columns (useful if you want to import it into a database). Otherwise it is printed in nicely aligned columns.

-Cw W
    W specifies the width of the lines when the table is printed. If the lines will be longer, the table will be printed in sections of max W characters.

-Ci this option prepends the index of the entry to all printed lines

-Cb brief heading. Any common prefix of the table field names will be deleted

-CB don't use GETBULK requests to retrieve data, only GETNEXT

EXAMPLES
$ snmptable localhost public at.attable SNMP table: at.atTable atIfIndex atPhysAddress atNetAddress
        1 8:0:20:20:0:ab 130.225.243.33

$ snmptable localhost public -Cf + at.attable SNMP table: at.atTable atIfIndex+atPhysAddress+atNetAddress 1+8:0:20:20:0:ab+130.225.243.33

BUGS
The test for tableID actually specifying a table is rather heuristic. Note also, that the test requires the defining MIB file to be loaded.

SEE ALSO
snmpcmd(1), variables(5).